
QGIS Application - Bug report #20016

QGIS 3 is much less responsive than QGIS 2.18

2018-10-04 06:31 PM - Alexey T

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.3(master) Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27838

Description

I have both QGis 3 and 2.18 installed.

Since version 3 UI has become very unresponsive and laggy. Looks like as it freezes a little bit every second.

History

#1 - 2018-10-04 08:54 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from QGis 3 is much less responsive than QGis 2.18 to QGIS 3 is much less responsive than QGIS 2.18

You observe this regardless of the amount/type of data you have in the project? Can you test with a clean/new profile so we can exclude a bad 3rd party

plugin or a legacy configuration? thanks.

#2 - 2018-10-04 10:35 PM - Alexey T

Look what I found.

All plugins are disabled.

I have a large group of GeoTIff layers in my project.

When I disable this group everything is OK.

When I enable this group UI becomes laggy even if layer is not in a canvas

The same layer group in QGis 2 doesn't affect UI responsiveness

#3 - 2018-10-04 10:44 PM - Giovanni Manghi

Alexey T wrote:

Look what I found.

All plugins are disabled.

I have a large group of GeoTIff layers in my project.

When I disable this group everything is OK.

When I enable this group UI becomes laggy even if layer is not in a canvas

The same layer group in QGis 2 doesn't affect UI responsiveness

Can you share the dataset?
#4 - 2018-10-05 09:34 AM - Alexey T

I made further investigation

My raster layers are in EPSG:4326

When I set current view to EPSG:3395 or any other CRS, QGis becomes laggy even if there is nothing to draw on the canvas

When I set curent view to EPSG:4326 everything is OK.

This doesn't happen in GQis 2.18

This is somehow related to On The Fly CRS transformations

The project is here (50 Mb):

https://yadi.sk/d/0rDe-wm9Le8Uzw

#5 - 2018-10-05 09:49 AM - Giovanni Manghi

The project is here (50 Mb):

https://yadi.sk/d/0rDe-wm9Le8Uzw

missing tif files.

#6 - 2018-10-05 09:59 AM - Alexey T

Sorry here it is

https://yadi.sk/d/TAo_ezPuBZ2HjA

#7 - 2018-10-05 10:21 AM - Mathieu Pellerin - nIRV

Alexy, which version of QGIS 3 are you referring to? 3.0, 3.2, or a current master build?

First thought that comes to mind as a possible cause for regression: CRS transform context.

#8 - 2018-10-05 10:30 AM - Alexey T

Recently this issue was tested in QGIS Desktop 3.2.3 x64

And as far as I remember this happens in some previous versions of 3.x.x

#9 - 2018-10-05 11:44 AM - Giovanni Manghi

Alexey T wrote:

Recently this issue was tested in QGIS Desktop 3.2.3 x64

And as far as I remember this happens in some previous versions of 3.x.x

Just tested on master/Linux and can't see any difference when changing between CRSs. Also you tif file do not have any pyramids/overviews, that would

improve much your map navigation experience.
#10 - 2018-10-05 12:36 PM - Alexey T

In my original project I have pyramids. Didn't include it in this test

#11 - 2018-10-06 11:13 AM - Giovanni Manghi

Alexey T wrote:

In my original project I have pyramids. Didn't include it in this test

I received a notification with this comment

---

Checked this once again.

I have two files in archive

test.qgz - saved in 3.2

test.qgs - the same saved in 2.18

when I open qgZ with 3.2 UI is laggy

when I open qgS with 3.2 UI is not laggy

---

but the comment is not here on redmine, is the observation correct?

I can't notice any measurable lag when opening the QGZ version of your project (on Linux here).

#12 - 2018-10-06 01:18 PM - Alexey T

---

Checked this once again.

I have two files in archive

test.qgz - saved in 3.2

test.qgs - the same saved in 2.18

when I open qgZ with 3.2 UI is laggy

when I open qgS with 3.2 UI is not laggy

---

No, this is not correct.

#13 - 2018-11-01 05:00 PM - mr twister

Alexey, are your files stored locally or on a network share?

#14 - 2018-11-02 08:26 AM - Alexey T
No, the files are stored in the same folder as the project on local HDD

#15 - 2018-11-02 09:46 AM - Giovanni Manghi

- Status changed from Feedback to Open

#16 - 2018-11-09 09:10 PM - Alexey T

Today I figured out that QGIS uses 13% of my CPU for some time (10 or 15 secs) after canvas movement or layer rearrangement. Aa I have 8 cores, it

means that it uses 100% of one core.

This is the cause of system lags.

Not only QGIs is laggy but all other applications.

Is there some logs or debug messages to see what QGIS is doing?

#17 - 2018-11-09 09:34 PM - Nyall Dawson

- Status changed from Open to Feedback

Alexey - download DebugView from https://docs.microsoft.com/en-us/sysinternals/downloads/debugview and launch, then launch QGIS and open your

project. See if there's anything interesting printed to the debugview logs.

#18 - 2018-11-10 05:57 PM - Alexey T

No there is nothing in logs

#19 - 2018-11-10 06:11 PM - Alexey T

I opened logs panel in QGis 3.4.1. It shows many rendering warnings

2018-11-10T20:03:20     WARNING    Canvas refresh: 2600 ms

Ecah time I move canvas there are bunch of warnings. And they continue to appear for 10-15 seconds again and again after canvas moving. Even if

canvas area is scrolled out of any data.

"forest_bounds_" layers are raster layers. Others are vector.

2018-11-10T20:03:31     WARNING    1 ms: camp_67648bf9_34bd_4d78_b5ab_7a1a8ef50b61, 614_01120171120000132389,

635_020171120000200734, 607_020171120000030595, 603_00220171120000003911, 606_020171120000015741, 632_020171120000150474,

стоянки_на_подходах20171119232301092, мелкое_строение20171119232441956, дом20171119232505765,

названия_хребтов_2020171119232906556, автомобильный_мост20171119233028069, 403_00220171119235751317,

river_waterfall_cdcba1b8_5b1a_4152_8de7_326d81d50430, river_dry_6225b78f_2cd6_4611_bdf1_00f4ed3f3706,

residential_c20b8b2a_2678_4032_83de_4382906fddd7, каменистость20171119233936480, скальные_выходы20171119233623926,

204_020171119235639554, 112_00220171119235610980, 501_020171119235832758, 515_020171119235846573,

названия_ледников_1220171119222707439, названия_ледников_720171119222537974, названия_ледников_520171119222245476,

forest_bounds_k44_097_320171129211240269, forest_bounds_k44_087_120171129211239754, forest_bounds_k44_086_320171129211239609,

forest_bounds_k44_076_220171129211238385, forest_bounds_k44_075_220171129211237790, forest_bounds_k44_075_120171129211237643,

forest_bounds_k44_074_320171129211237362, forest_bounds_k44_074_220171129211237218, forest_bounds_k44_074_120171129211237077,

forest_bounds_k44_073_420171129211236940, forest_bounds_k44_073_220171129211236659, forest_bounds_k44_073_120171129211236516,

forest_bounds_k44_065_320171129211236230, forest_bounds_k44_064_320171129211235665, forest_bounds_k44_063_120171129211234825,
forest_bounds_k44_062_420171129211234688, forest_bounds_k44_062_320171129211234557, forest_bounds_k44_062_220171129211234420,

forest_bounds_k44_062_120171129211234281, forest_bounds_k44_061_420171129211234148, forest_bounds_k44_061_320171129211234011,

forest_bounds_k44_053_120171129211233204, forest_bounds_k44_052_120171129211232674, forest_bounds_k44_051_420171129211232541,

forest_bounds_k44_051_320171129211232408, forest_bounds_k44_051_120171129211232139, forest_bounds_k44_050_420171129211232008,

forest_bounds_k43_129_220171129211231228, forest_bounds_k43_127_420171129211231108, forest_bounds_k43_127_320171129211230989,

forest_bounds_k43_127_220171129211230869, forest_bounds_k43_127_120171129211230750, forest_bounds_k43_126_420171129211230631,

forest_bounds_k43_126_220171129211230495, forest_bounds_k43_118_120171129211229384, forest_bounds_k43_117_420171129211229262,

forest_bounds_k43_117_220171129211229027, forest_bounds_k43_115_320171129211228188, forest_bounds_k43_115_120171129211227946,

forest_bounds_k43_108_420171129211227826, forest_bounds_k43_108_320171129211227711, forest_bounds_k43_107_120171129211227049,

forest_bounds_k43_106_420171129211226943, forest_bounds_k43_106_320171129211226830, forest_bounds_k43_106_220171129211226718,

forest_bounds_k43_105_320171129211226386, forest_bounds_k43_105_220171129211226275, forest_bounds_k43_104_320171129211225948,

forest_bounds_k43_104_220171129211225837, forest_bounds_k43_104_120171129211225725, forest_bounds_k43_096_420171129211225625,

forest_bounds_k43_096_320171129211225526, forest_bounds_k43_095_420171129211225217, forest_bounds_k43_095_320171129211225097,

forest_bounds_k43_095_220171129211224990, forest_bounds_k43_094_320171129211224655, forest_bounds_k43_094_220171129211224541,

forest_bounds_k43_093_320171129211224215, forest_bounds_k43_093_220171129211224109, forest_bounds_k43_093_120171129211224002,

forest_bounds_k43_092_420171129211223900, forest_bounds_k43_092_220171129211223795, forest_bounds_k43_084_120171129211223410,

forest_bounds_k43_083_420171129211223309, forest_bounds_k43_083_320171129211223205, forest_bounds_k43_082_320171129211222807,

forest_bounds_k43_082_220171129211222712, forest_bounds_k43_081_420171129211222500, forest_bounds_k43_081_320171129211222399,

forest_bounds_k43_081_120171129211222200, forest_bounds_k43_080_420171129211222102, forest_bounds_k43_080_320171129211222005,

forest_bounds_k43_080_220171129211221909, forest_bounds_k43_072_220171129211221464, forest_bounds_k43_072_120171129211221370,

forest_bounds_k43_071_420171129211221276, forest_bounds_k43_071_320171129211221183, forest_bounds_k43_071_120171129211220998,

forest_bounds_k43_070_420171129211220905, forest_bounds_k43_070_120171129211220611, forest_bounds_k43_069_420171129211220520,

forest_bounds_k43_069_320171129211220429, forest_bounds_k43_068_420171129211220160, forest_bounds_k43_068_320171129211220072,

forest_bounds_k43_068_120171129211219895, forest_bounds_k43_061_420171129211219805, forest_bounds_k43_061_120171129211219538,

forest_bounds_k43_060_420171129211219451, forest_bounds_k42_072_320171129211218967, forest_bounds_k42_072_120171129211218831

2018-11-10T20:03:31     WARNING    0 ms: 903_01620171119235917558, forest_bounds_k44_097_220171129211240118,

forest_bounds_k44_086_120171129211239296, forest_bounds_k44_085_220171129211238850, forest_bounds_k44_076_320171129211238552,

forest_bounds_k44_075_420171129211238089, forest_bounds_k44_065_220171129211236091, forest_bounds_k44_064_420171129211235807,

forest_bounds_k44_064_120171129211235383, forest_bounds_k44_053_420171129211233606, forest_bounds_k44_053_220171129211233338,

forest_bounds_k44_052_320171129211232943, forest_bounds_k44_050_220171129211231740, forest_bounds_k44_049_320171129211231348,

forest_bounds_k43_120_120171129211230181, forest_bounds_k43_118_420171129211229751, forest_bounds_k43_118_220171129211229509,

forest_bounds_k43_116_320171129211228672, forest_bounds_k43_116_120171129211228427, forest_bounds_k43_108_220171129211227603,

forest_bounds_k43_107_420171129211227384, forest_bounds_k43_106_120171129211226606, forest_bounds_k43_104_420171129211226056,

forest_bounds_k43_095_120171129211224885, forest_bounds_k43_093_420171129211224319, forest_bounds_k43_083_120171129211223006,

forest_bounds_k43_080_120171129211221813, forest_bounds_k43_072_320171129211221559, forest_bounds_k43_070_220171129211220702,

forest_bounds_k43_069_120171129211220250, forest_bounds_k43_061_220171129211219626, forest_bounds_k42_084_220171129211219225

2018-11-10T20:03:31     WARNING    -1 ms: Labeling

The same project in QGIs 2.18 renders not too fast, but it is one time warnings. They do not continue to appear again and again after canvas is redrawn.

2018-11-10T20:10:10    1    Canvas refresh: 2012 ms

2018-11-10T20:10:17    1    428 ms: n041e07720181008225341631

2018-11-10T20:10:17    1    140 ms: forest_bounds_k43_084_120181008225915379

2018-11-10T20:10:17    1    35 ms: river_small20181002192541245

2018-11-10T20:10:17    1    31 ms: грунтовая_дорога20171119233312346

2018-11-10T20:10:17    1    21 ms: oro_medium20181002193915573

2018-11-10T20:10:17    1    6 ms: проселочная_дорога20171119233424380

2018-11-10T20:10:17    1    5 ms: peak20181002220913637, river_medium20181002193203721, river_dryout20181002195515384

2018-11-10T20:10:17    1    4 ms: караванная_тропа20171119233555041

2018-11-10T20:10:17    1    3 ms: pass20181002220855793, oro_large20181002193915572

2018-11-10T20:10:17    1    2 ms: стоянки_на_подходах20171119232301092, .....

And so on.....
#20 - 2018-11-10 08:06 PM - Nyall Dawson

Did you try debugview? If it's setup correctly you will definitely see some qgis output there.

#21 - 2019-02-23 08:37 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
